IMG_LoadAnimation_IO(3)

NAME
IMG_LoadAnimation_IO - Load an animation from an SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_Animation * IMG_LoadAnimation_IO(SDL_IOStream *src, bool closeio);

DESCRIPTION
If closeio is true, src will be closed before returning, whether this function succeeds or not. SDL_image reads everything it needs from src during this call in any case.

When done with the returned animation, the app should dispose of it with a call to IMG_FreeAnimation().

FUNCTION PARAMETERS

src an SDL_IOStream that data will be read from.

closeio
    true to close/free the SDL_IOStream before returning, false to leave it open.

RETURN VALUE
Returns a new IMG_Animation, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_CreateAnimatedCursor(3), IMG_LoadAnimation(3), IMG_LoadAnimationTyped_IO(3), IMG_LoadANIAnimation_IO(3), IMG_LoadAPNGAnimation_IO(3), IMG_LoadAVIFAnimation_IO(3), IMG_LoadGIFAnimation_IO(3), IMG_LoadWEBPAnimation_IO(3), IMG_FreeAnimation(3)